<?xml version="1.0" encoding="windows-1251"?>
<!DOCTYPE xsl:stylesheet>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output xmlns="http://www.w3.org/TR/xhtml1/strict" doctype-public="-//W3C//DTD XHTML 1.0 Strict//EN"
encoding="Windows-1251" indent="yes" method="html" omit-xml-declaration="no" version="1.0" media-type="text/xml" />

<xsl:template match="/">
    <xsl:apply-templates select="/document/item"/>
</xsl:template> 

<xsl:template match="/document/item">

	<SCRIPT>
		<xsl:comment>
			<xsl:text disable-output-escaping="yes">
			<![CDATA[
			function ShowImgWindow(title, src, width, height)
			{
				obj = window.open("", "", "scrollbars=0,dialog=0,minimizable=1,modal=1,width="+width+",height="+height+",resizable=0");
				obj.document.write("<html>");
				obj.document.write("<head>");
			
				obj.document.write("<title>"+title+"</title>");
			
				obj.document.write("</head>");
			
				obj.document.write("<body topmargin=0 leftmargin=0 marginwidth=0 marginheight=0>");
			
				obj.document.write("<img src=\""+src+"\" />");
			
				obj.document.write("</body>");
				obj.document.write("</html>");
			}
			]]>
			</xsl:text>
		</xsl:comment>
	</SCRIPT>
	
	<!-- Получаем ID родительской группы и записываем в переменную $parent_group_id -->
	<xsl:variable name="parent_group_id" select="/document/information_system/parent_group_id"/>
	
	<h1><xsl:value-of disable-output-escaping="yes" select="item_name"/></h1>
	
	<!-- ============= -->
	<!-- Путь к гурппе -->
	<!-- ============= -->
	<xsl:apply-templates select="//group[@id=$parent_group_id]" mode="goup_path"/>

<p/>

<!-- Изображение для записи со ссылкой на большой файл -->
<table border="0">
<tr>
<td align="center">

<xsl:if test="item_small_image!=''">

<!-- Проверяем задан ли путь к файлу большого изображения -->
<xsl:if test="item_image!=''">
	<xsl:variable name="srcpath" select="item_image" />
	<a href="JavaScript:void(0)" onclick="ShowImgWindow('{item_name}','/{$srcpath}', {item_image/@width}, {item_image/@height})"><img src="/{item_small_image}" style="padding-right:10px; padding-bottom:10px;"/></a>
</xsl:if>

<xsl:if test="item_image =''">
	<img  src="/{item_small_image}" style="padding-right:10px; padding-bottom:10px;"/>
</xsl:if>

</xsl:if>

</td>

<td>

<font size="3">

<b>Цена: 

<!-- Валюта (дополнительное свойство) -->
<xsl:value-of disable-output-escaping="yes" select="item_propertys/item_property/currency"/>

<!-- Цена (дополнительное свойство) -->
<xsl:value-of disable-output-escaping="yes" select="item_propertys/item_property/price"/>
</b>

</font>

<p/>

</td>
</tr>
</table>

<br/>

<!-- Текст элемента информационного блока -->
<xsl:value-of disable-output-escaping="yes" select="item_text"/>

<br/>

</xsl:template>

<!-- ======================================================== -->
<!-- Шаблон выводит рекурсивно ссылки на группы инф. элемента -->
<!-- ======================================================== -->

<xsl:template match="group" mode="goup_path">
	<xsl:variable name="parent_id" select="@parent_id"/>

	<!-- Выбираем рекурсивно вышестоящую группу -->
	<xsl:apply-templates select="//group[@id=$parent_id]" mode="goup_path" />

	<xsl:if test="@parent_id=0">
		<a href="{/document/information_system/url}"><xsl:value-of disable-output-escaping="yes" select="/document/information_system/name"/></a>
	</xsl:if>

	<img src="/images/arrow_path.gif" class="arrow_path"/>

	<a href="{/document/information_system/url}{fullpath}"><xsl:value-of disable-output-escaping="yes" select="name"/></a>
</xsl:template>

</xsl:stylesheet>